Fixes build problems

parent db13972b
/** IE10 and IE11 requires the following for NgClass support on SVG elements */
import 'classlist.js';
import 'core-js/es6/array';
import 'core-js/es6/date';
import 'core-js/es6/function';
import 'core-js/es6/map';
import 'core-js/es6/math';
import 'core-js/es6/number';
import 'core-js/es6/object';
import 'core-js/es6/parse-float';
import 'core-js/es6/parse-int';
import 'core-js/es6/regexp';
import 'core-js/es6/set';
import 'core-js/es6/string';
/* IE9, IE10 and IE11 requires all of the following polyfills. **/
import 'core-js/es6/symbol';
import 'core-js/es6/weak-map';
/** Only required if AnimationBuilder is used within the application and using IE/Edge or Safari. */
// import 'web-animations-js';
/**
* A simple, no-op service worker that takes immediate control.
* Use this file if the active service worker has a bug and we
* want to deactivate the worker on client browsers while we
* investigate the problem.
*
* To activate this service worker file, rename it to `worker-basic.min.js`
* and deploy to the hosting. When the original worker files cache
* expires, this one will take its place. (Browsers ensure that the expiry
* time is never longer than 24 hours, but the default expiry time on Firebase
* is 60 mins).
*/
// Skip over the "waiting" lifecycle state, to ensure that our
// new service worker is activated immediately, even if there's
// another tab open controlled by our older service worker code.
self.addEventListener('install', function (event) {
event.waitUntil(self.skipWaiting());
});
// Get a list of all the current open windows/tabs under
// our service worker's control, and force them to reload.
// This can "unbreak" any open windows/tabs as soon as the new
// service worker activates, rather than users having to manually reload.
self.addEventListener('activate', function (event) {
event.waitUntil(self.clients.claim());
});
......@@ -13,34 +13,25 @@
*
* Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
*/
/***************************************************************************************************
* BROWSER POLYFILLS
*/
/* IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';
/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js'; // Run `npm install --save classlist.js`.
/* Evergreen browsers require these. **/
import 'core-js/es6/reflect';
/**
* Required to support Web Animations `@angular/animation`.
* Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
* INTERNET EXPLORER
*
* All the Internet Explorer polyfills are defined separately, in the `ie-polyfills.js` file.
* They are also built separately from the main app, via the `yarn build-ie-polyfills` task.
* The output of this build is conditionally loaded (only if we are running IE) in the browser,
* and executed before the rest of the application files are executed.
*/
/* ALL Firefox browsers require the following to support `@angular/animation`. **/
// import 'web-animations-js'; // Run `npm install --save web-animations-js`.
import '@webcomponents/custom-elements'; // Custom Elements Polyfill
import '@webcomponents/custom-elements/src/native-shim';
/***************************************************************************************************
* Zone JS is required by Angular itself.
*/
......@@ -56,7 +47,3 @@ import 'zone.js/dist/zone'; // Included with Angular CLI.
* Needed for: All but Chrome, Firefox, Edge, IE11 and Safari 10
*/
// import 'intl'; // Run `npm install --save intl`.
/**
* Need to import at least one locale-data with intl.
*/
// import 'intl/locale-data/jsonp/en';
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment